#
# Conditional build:
%bcond_without	tests		# unit tests
#
%define		module	oauthlib
Summary:	A generic, spec-compliant, thorough implementation of the OAuth request-signing logic
Summary(pl.UTF-8):	Ogólna, zgodna ze specyfikacją, pełna implementacja logiki podpisywania żądań OAuth
Name:		python3-%{module}
Version:	3.2.2
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/oauthlib/
Source0:	https://files.pythonhosted.org/packages/source/o/oauthlib/%{module}-%{version}.tar.gz
# Source0-md5:	2f7b898cc1af8c1409cc329e8843ea8f
URL:		https://pypi.org/project/oauthlib/
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-blinker
BuildRequires:	python3-cryptography
BuildRequires:	python3-nose
BuildRequires:	python3-pyjwt >= 1.0.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OAuthLib is a generic utility which implements the logic of OAuth
without assuming a specific HTTP request object. Use it to graft OAuth
support onto your favorite HTTP library. If you're a maintainer of
such a library, write a thin veneer on top of OAuthLib and get OAuth
support for very little effort.

%description -l pl.UTF-8
OAuthLib to ogólne narzędzie implementujące logikę OAuth bez
zakładania określonych obiektów żądań HTTP. Można go użyć do dołożenia
obsługi OAuth do ulubionej biblioteki HTTP. Będąc utrzymującym taką
bibliotekę wystarczy napisać cienką warstwę powyżej OAuthLib, aby
uzyskać obsługę OAuth niskim kosztem.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Thu May 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-oauthlib.git;a=log;h=master

* Thu May 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 56a1336
- Up to 3.2.2

* Thu May 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> eb46784
- Other way to run tests.

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> cd3d8d7
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 3e29708
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 792a196
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ba6ab38
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 94089eb
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e4e8dfb
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 2d8f802
- release 2 (by relup.sh)

* Thu Jan 21 2021 Jakub Bogusz <qboosh@pld-linux.org> e56bceb
- updated to 3.1.0
- added mock patch (allow using unittest.mock for python3 instead of separate module)
- pl, enabled tests

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4ee902d
- rebuild with python 3.8
- release 3 (by relup.sh)

* Fri May 24 2019 Elan Ruusamäe <glen@pld-linux.org> 5cae27c
- use epoch 1 for python3 package

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> decab7a
- release 2 (by relup.sh)

* Fri Apr 27 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> bf1397a
- Version: 2.0.7

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 655141b
- python 3.6
- release 5 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> fd8b22e
- use rpm python macros
- rel 4

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> c74b376
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f64ec1e
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4074aa6
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a6f159f
- release 2 (by relup.sh)

